be.fgov.ehealth.errors.core.v1

## Class LocalisedStringType

- java.lang.Object
- - be.fgov.ehealth.errors.core.v1.LocalisedStringType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:55:42+01:00",
                 comments="JAXB RI v2.2.11")
      public class LocalisedStringType
      extends Object
      implements Serializable

  String of data in specified language.

  Java class for LocalisedStringType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="LocalisedStringType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalisedStringType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the value of the lang property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalisedStringType

          public LocalisedStringType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.